Add-Type -AssemblyName Microsoft.VisualBasic    # Bibliothek für Messagebox laden
## Messagebox um den Benutzer zu informieren
$Ausgabe = "Hiermit wird der Cache von Microsoft Teams geleert.
`Microsoft Teams muss währenddessen geschlossen sein.
`n- JA:   Microsoft Teams wird AUTOMATISCH BEENDET und der Cache gelerrt
`n- NEIN: Microsoft Teams wird weiterhin ausgeführt, der Cache aber NICHT GELERRT"
$Output=[Microsoft.VisualBasic.Interaction]::MsgBox($Ausgabe,'YesNo,SystemModal,Exclamation',"Microsoft Teams Cache")
      
switch ($Output)
{
    "Yes"
    {
        try
        {
            $TeamsOpen = Get-Process -ProcessName Teams -ErrorAction SilentlyContinue
            $TeamsOpen | Stop-Process -Force
            Start-Sleep -Seconds 5
            Write-Host "Microsoft Teams wurde beendet."
        }
        catch
        {
            echo $_
        }
        # Der Cache wird nun geleert
        try
        {
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\application cache\cache" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\blob_storage" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\databases" -ErrorAction SilentlyContinue  | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\cache" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\gpucache" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\Indexeddb" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\Local Storage" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
            Get-ChildItem -Path $env:APPDATA\"Microsoft\teams\tmp" -ErrorAction SilentlyContinue | Remove-Item -Force -Recurse
        }
        catch
        {
            echo $_
        }
        write-host "`nDer Cache wurde erfolgreich geleert."
        Start-Sleep -Seconds 5
        if ($TeamsOpen -ne $null)
        {
            Start-Process -FilePath $env:LOCALAPPDATA\"Microsoft\Teams\current\Teams.exe"
        }
    }

}